export * from './index.client';
export * from './index.server';
export * from '@sentry/node';
import type { NodeOptions } from '@sentry/node';
import type { Integration, Options, StackParser } from '@sentry/types';
import type * as clientSdk from './index.client';
import type * as serverSdk from './index.server';
import sentryAstro from './index.server';
/** Initializes Sentry Astro SDK */
export declare function init(options: Options | clientSdk.BrowserOptions | NodeOptions): void;
export declare const linkedErrorsIntegration: typeof clientSdk.linkedErrorsIntegration;
export declare const contextLinesIntegration: typeof clientSdk.contextLinesIntegration;
export declare const getDefaultIntegrations: (options: Options) => Integration[];
export declare const defaultStackParser: StackParser;
export declare function close(timeout?: number | undefined): PromiseLike<boolean>;
export declare function flush(timeout?: number | undefined): PromiseLike<boolean>;
export declare const getCurrentHub: typeof clientSdk.getCurrentHub;
export declare const getClient: typeof clientSdk.getClient;
export declare const continueTrace: typeof clientSdk.continueTrace;
export declare const Span: clientSdk.Span;
export declare const metrics: typeof clientSdk.metrics & typeof serverSdk;
export default sentryAstro;
//# sourceMappingURL=index.types.d.ts.map